Bug 459778 - KVM Can't boot Fedora Persistent LiveUSB
KVM Can't boot Fedora Persistent LiveUSB
Product: Fedora
Classification: Fedora
Component: kvm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-08-22 05:34 EDT by Kevin Verma
Modified: 2008-09-24 20:24 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-09-24 20:24:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kevin Verma 2008-08-22 05:34:18 EDT
Description of problem:

While booting a LiveUSB results as an error. Grub loads but vmlinuz0 fails. Boots with QEMU but not KVM. 

Version-Release number of selected component (if applicable):

How reproducible:


Steps to Reproduce:
1. Create a persistent LiveUSB 
2. Create a new VM using virt-manager
3. Boot from disk /dev/<usb> 
Actual results:
Grub loads but vmlinuz0 errors: "vmlinuz0: attempted dos system call"

Expected results:

LiveUSB to boot as normal

Additional info:
Comment 1 Glauber Costa 2008-08-22 10:28:24 EDT
This is probably the same problem that were preventing PXE boots.
It's fixed upstream, and should be easy to backport. I'll try to reproduce it here to make sure it really is, and spin a new rpm.
Comment 2 Glauber Costa 2008-08-27 14:37:25 EDT
There is a scratch build at http://koji.fedoraproject.org/koji/taskinfo?taskID=789050 with a proposed fix for this issue. Can you verify if it really fixes it for you?

Comment 3 Kevin Verma 2008-08-28 06:24:59 EDT

I confirm suggested Koji build fixes this issue. 

Many thanks ! 

Comment 4 Fedora Update System 2008-08-28 12:15:06 EDT
kvm-65-9.fc9 has been submitted as an update for Fedora 9.
Comment 5 Glauber Costa 2008-08-28 12:19:37 EDT

I've pushed a new update in testing state. I did so because it's an update that fixes two bugs. So, to be sure that one of them is not breaking the other one, can you retest the new update and karma it accordingly ?

Comment 6 Fedora Update System 2008-09-10 02:41:17 EDT
kvm-65-9.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kvm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7437
Comment 7 Fedora Update System 2008-09-24 20:24:35 EDT
kvm-65-9.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.